Package org.kapott.hbci.dialog

# Enum DialogEvent

java.lang.Object
java.lang.Enum<DialogEvent>
org.kapott.hbci.dialog.DialogEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<DialogEvent>`, `java.lang.constant.Constable`

public enum DialogEvent extends Enum<DialogEvent>
Diese Klasse enthaelt die verschiedenen Event-Arten.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JOBS_CREATED`
Wird gesendet, nachdem die Dialog-Initialisierung abgeschlossen ist und bevor die eigentlichen Geschaeftsvorfaelle an die Bank gesendet werden.
`MSG_CREATE`
Wird gesendet, bevor HBCI4Java die Nachricht erzeugt aber noch nicht an die Bank gesendet hat.
`MSG_CREATED`
Wird versendet, bevor HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt.
`MSG_SENT`
Wird versendet, nachdem HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt.

## Method Summary

Modifier and Type
Method
Description
`static DialogEvent`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DialogEvent[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MSG_CREATE

public static final DialogEvent MSG_CREATE
Wird gesendet, bevor HBCI4Java die Nachricht erzeugt aber noch nicht an die Bank gesendet hat. Kann mehrfach auftreten, wenn z.Bsp. die Dialog-Initialisierung nach einer Neuwahl des TAN-Verfahrens (aus Code 3920) wiederholt werden muss.

### MSG_CREATED

public static final DialogEvent MSG_CREATED
Wird versendet, bevor HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt. Kann mehrfach auftreten, wenn z.Bsp. die Dialog-Initialisierung nach einer Neuwahl des TAN-Verfahrens (aus Code 3920) wiederholt werden muss.

### MSG_SENT

public static final DialogEvent MSG_SENT
Wird versendet, nachdem HBCI4Java die Nachricht an die Bank gesendet hat und das Response vorliegt. Kann mehrfach auftreten, wenn z.Bsp. die Dialog-Initialisierung nach einer Neuwahl des TAN-Verfahrens (aus Code 3920) wiederholt werden muss.

### JOBS_CREATED

public static final DialogEvent JOBS_CREATED
Wird gesendet, nachdem die Dialog-Initialisierung abgeschlossen ist und bevor die eigentlichen Geschaeftsvorfaelle an die Bank gesendet werden.

## Method Details

### values

public static DialogEvent[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DialogEvent valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null